svn commit: samba r8035 - in branches/SAMBA_4_0/source/lib/ldb/tests: .

tridge at samba.org tridge at samba.org
Fri Jul 1 05:20:09 GMT 2005


Author: tridge
Date: 2005-07-01 05:20:08 +0000 (Fri, 01 Jul 2005)
New Revision: 8035

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=8035

Log:
added indexing tests. current ldb fails the integer indexing, will be fixed shortly

Modified:
   branches/SAMBA_4_0/source/lib/ldb/tests/test-tdb-features.sh


Changeset:
Modified: branches/SAMBA_4_0/source/lib/ldb/tests/test-tdb-features.sh
===================================================================
--- branches/SAMBA_4_0/source/lib/ldb/tests/test-tdb-features.sh	2005-07-01 03:13:08 UTC (rev 8034)
+++ branches/SAMBA_4_0/source/lib/ldb/tests/test-tdb-features.sh	2005-07-01 05:20:08 UTC (rev 8035)
@@ -22,10 +22,6 @@
 objectClass: testclass
 test: foo
 EOF
-
-
-echo $ldif | $VALGRIND bin/ldbadd || exit 1
-
 checkcount 1 '(test=foo)'
 checkcount 0 '(test=FOO)'
 checkcount 0 '(test=fo*)'
@@ -108,4 +104,28 @@
 checkcount 1 '(objectClass=otherclass)'
 checkcount 1 '(objectClass=testclass)'
 
+echo "Adding index"
+cat <<EOF | $VALGRIND bin/ldbadd || exit 1
+dn: @INDEXLIST
+ at IDXATTR: i
+ at IDXATTR: test
+EOF
+checkcount 1 '(i=0x100)'
+checkcount 1 '(i=256)'
+checkcount 0 '(i=-256)'
+checkcount 1 '(test=foo)'
+checkcount 1 '(test=FOO)'
+checkcount 1 '(test=fo*)'
+
+echo "making test case sensitive"
+cat <<EOF | $VALGRIND bin/ldbmodify || exit 1
+dn: @ATTRIBUTES
+changetype: modify
+replace: test
+test: NONE
+EOF
+checkcount 1 '(test=foo)'
+checkcount 0 '(test=FOO)'
+checkcount 0 '(test=fo*)'
+
 rm -f $LDB_URL



More information about the samba-cvs mailing list